<?php

namespace Modules\Billing\Models\Traits;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Modules\Accounts\Models\ChartOfAccount;

/**
 * @mixin \Illuminate\Database\Eloquent\Model
 */

trait ServiceRelationshipTrait
{
    public function salesAccount(): BelongsTo
    {
        return $this->belongsTo(ChartOfAccount::class, 'sales_account_id');
    }
}
